''
'' $Id: GetDiskUnitID.bas,v 1.2 1994/03/16 12:37:40 alex Rel $
''
'' Example of getting the UnitID of a disk
''
'' Derived from RKM example (c) Copyright 1992 Commodore-Amiga, Inc.
''

DEFINT A-Z

'REM $INCLUDE Exec.bh
'REM $INCLUDE Disk.bh

LIBRARY OPEN "exec.library", LIBRARY_MINIMUM&

SUB main
	STATIC i
	
	LIBRARY VARPTR "disk.resource", OpenResource&(SADD("disk.resource" + CHR$(0)))
	IF LIBRARY("disk.resource") = NULL& THEN
		PRINT "Cannot open disk.resource"
	ELSE
		PRINT "Defined drive types are:"
		PRINT "  AMIGA  $00000000"
		PRINT "  5.25'' $55555555"
		PRINT "  AMIGA  $00000000 (high density)"	'Commodore-only product
		PRINT "  None   $FFFFFFFF"
		PRINT

		'What are the UnitIDs?
		FOR i = 0 TO 3
			PRINT "The UnitID for unit "; i; " is "; HEX$(GetUnitID&(i))
		NEXT i
		LIBRARY VARPTR "disk.resource", NULL&	'ensure no-one can attempt to close it
	END IF
END SUB

main
END
